load /KLAB_BACKUP/people/jedsinger/behavior_figures/async_psych_mega_combined_data_0.80_0.00_3.00.mat
sensitivity_by_n_img_pres = nan(11, 3, 16, 20000);
for s = 1:length(categories)
	unique_asyncs = unique(subj_asyncs{s});
	n_asyncs = length(unique_asyncs);
	unique_nip = unique(subj_nip{s});
	n_nip = length(unique_nip);
	for n = 1:n_nip
		for a = min(unique_nip(n), 2):min(n_asyncs, 1000000*(n-1)+1)
			fname = ['log_mega_s' num2str(s) '_n' num2str(unique_nip(n)) '_a' num2str(unique_asyncs(a)) '.txtchain1.txt'];
			sensitivity = load(fullfile('/KLAB_BACKUP/people/jedsinger/mfiles/jags_files/jags_scripts', fname), 'ASCII');
			sensitivity = sensitivity(:, 2);
			sensitivity_by_n_img_pres(a, n, s, :) = sensitivity;
		end
	end
end

mean_sbnip = mean(sensitivity_by_n_img_pres, 4);

for s = 1:length(categories)
	atom_sensitivities = squeeze(sensitivity_by_n_img_pres(1, 1, s, :));
	for n = 1:n_nip-1
		for a = 1:n_asyncs-1
			[~, ttest_pvals(a, n, s)] = ttest2(atom_sensitivities*(n+1), squeeze(sensitivity_by_n_img_pres(a+1, n+1, s, :)), .05, 'left');
			sensitivity_diffs(a, n, s) = mean(squeeze(sensitivity_by_n_img_pres(a+1, n+1, s, :))) - mean(atom_sensitivities*(n+1));
		end
	end
end

for s = 1:length(categories)
	atom_range = prctile(sensitivity_by_n_img_pres(1,1,s,:), [2.5 97.5]);
	options = optimset('TypicalX', [100 .3 .8, max(mean_sbnip(1,1,s), 0)], 'Display', 'off'); 
	fitparams_comboexp_sdt{s} = lsqcurvefit(@fit_comboexp_sdt, [100 .3 .8 max(mean_sbnip(1,1,s), 0)], [min_combofit_atoms asyncs'], reshape(mean_sbnip(2:11, min_combofit_atoms-1:3, s), [], 1)', [.00001 .00001 .00001 max(0, atom_range(1))], [1000 5 1 atom_range(2)], options);
end
%model_comboexp_sdt = fit_comboexp_sdt(fitparams_comboexp_sdt{s}, [3 asyncs']);